#include<bits/stdc++.h>
using namespace std;
long long a[100000005],b[100000005];
bool x;
int q;

int main ()
{
    int t,n[15],temp;
    cin >> t;
    for(int i=1; i<=t; i++)
    {
        cin >> n[i];
        for(int j=1; j<=n[i]; j++)
        {
            cin >> a[j];
        }

        for(int k=1; k<=n[i]; k++)
        {
            cin >> b[k];
            temp=0-b[k];
            b[k]=temp;
        }

        q=n[i];
        for (int o=1; o<=n[i]/2; o++)
        {
            temp = b[o];
            b[o] = b[q];
            b[q] = temp;
            q--;
        }


        x=0;
        for(int l=1; l<=n[i]; l++)
        {
            if(a[l]!=b[l])
            {
                x=1;
                cout << "NE" << endl;
                goto ovde;
            }
        }
        cout << "DA" << endl;
        ovde:
        i=i;
    }
    return 0;
}